Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Branch: master
Fetching contributors…

Cannot retrieve contributors at this time

124 lines (123 sloc) 4.144 kB
<?xml version="1.0" encoding="UTF-8"?>
<package packagerversion="1.9.1" version="2.0" xmlns="http://pear.php.net/dtd/package-2.0" xmlns:tasks="http://pear.php.net/dtd/tasks-1.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://pear.php.net/dtd/tasks-1.0
http://pear.php.net/dtd/tasks-1.0.xsd
http://pear.php.net/dtd/package-2.0
http://pear.php.net/dtd/package-2.0.xsd">
<name>PHP54Compatibility</name>
<channel>proofek.github.com/pear</channel>
<summary>PHP 5.4 Compatibility Coding Standard for PHP_CodeSniffer</summary>
<description>
This is a set of sniffs for PHP_CodeSniffer that checks for PHP 5.4 compatibility.
</description>
<lead>
<name>Sebastian Marek</name>
<user>smarek</user>
<email>smarek@plus.net</email>
<active>yes</active>
</lead>
<date>2012-03-05</date>
<time>23:20:00</time>
<version>
<release>0.2.0</release>
<api>0.2</api>
</version>
<stability>
<release>stable</release>
<api>stable</api>
</stability>
<license>Sebastian Marek</license>
<notes>
PHP 5.4 Compatibility sniffs based on Wim Godden's PHP53Compatibility code sniffs. See [blog](http://techblog.wimgodden.be/tag/codesniffer) and [github](https://github.com/wimg/PHP53Compat_CodeSniffer).
</notes>
<contents>
<dir name="/">
<dir name="PHP">
<dir name="CodeSniffer">
<dir name="Standards">
<dir name="PHP54Compatibility">
<dir name="Sniffs">
<dir name="PHP">
<file baseinstalldir="" name="RemovedExtensionsSniff.php" role="php"/>
<file baseinstalldir="" name="ForbiddenParameterNamesSniff.php" role="php"/>
<file baseinstalldir="" name="BreakContinueVarSyntaxSniff.php" role="php"/>
<file baseinstalldir="" name="DeprecatedIniDirectivesSniff.php" role="php"/>
<file baseinstalldir="" name="RemovedFunctionParametersSniff.php" role="php"/>
<file baseinstalldir="" name="RemovedFunctionsSniff.php" role="php"/>
<file baseinstalldir="" name="DeprecatedFunctionsSniff.php" role="php"/>
</dir>
</dir>
<file baseinstalldir="" name="ruleset.xml" role="php" />
</dir>
</dir>
</dir>
</dir>
</dir>
</contents>
<dependencies>
<required>
<php>
<min>5.4.0</min>
</php>
<pearinstaller>
<min>1.6.0</min>
</pearinstaller>
<package>
<name>PHP_CodeSniffer</name>
<channel>pear.php.net</channel>
<min>1.3.0</min>
<max>3.999.9999</max>
</package>
</required>
</dependencies>
<phprelease />
<changelog>
<release>
<version>
<release>0.2.0</release>
<api>0.2.0</api>
</version>
<stability>
<release>stable</release>
<api>stable</api>
</stability>
<date>05/03/2012</date>
<license>Sebastian Marek</license>
<notes>
Added new sniffs: ForbiddenParameterNamesSniff, RemovedFunctionParametersSniff, RemovedFunctionsSniff.
Updated existing sniffs: DeprecatedFunctionsSniff, DeprecatedIniDirectivesSniff.
Updated documentation.
</notes>
</release>
<release>
<version>
<release>0.1.1</release>
<api>0.1.1</api>
</version>
<stability>
<release>alpha</release>
<api>alpha</api>
</stability>
<date>02/03/2012</date>
<license>Sebastian Marek</license>
<notes>
Fixed broken 0.1.0 package containing wrong sniffs list.
</notes>
</release>
<release>
<version>
<release>0.1.0</release>
<api>0.1.0</api>
</version>
<stability>
<release>alpha</release>
<api>alpha</api>
</stability>
<date>02/03/2012</date>
<license>Sebastian Marek</license>
<notes>
First packaged version of PHP54Compatibility sniffs
</notes>
</release>
</changelog>
</package>
<!-- vim: set tabstop=2 shiftwidth=2 expandtab: -->
Jump to Line
Something went wrong with that request. Please try again.